Loading...
Searching...
No Matches
XrdSysFusedMutex Class Reference

`#include <XrdSysPthread.hh>`

Collaboration diagram for XrdSysFusedMutex:

## Public Member Functions

| XrdSysFusedMutex (XrdSysMutex &mtx)
| XrdSysFusedMutex (XrdSysRWLock &mtx)
| ~XrdSysFusedMutex ()
void | Lock ()
void | ReadLock ()
void | UnLock ()
void | WriteLock ()

## Detailed Description

Definition at line 433 of file XrdSysPthread.hh.

## Constructor & Destructor Documentation

## XrdSysFusedMutex() [1/2]

XrdSysFusedMutex::XrdSysFusedMutex | ( | XrdSysRWLock & | mtx | ) |

inline

Definition at line 445 of file XrdSysPthread.hh.

: rwLok(&mtx), isRW(true) {}

## XrdSysFusedMutex() [2/2]

XrdSysFusedMutex::XrdSysFusedMutex | ( | XrdSysMutex & | mtx | ) |

inline

Definition at line 448 of file XrdSysPthread.hh.

: mutex(&mtx), isRW(false) {}

## ~XrdSysFusedMutex()

XrdSysFusedMutex::~XrdSysFusedMutex | ( |  | ) |

inline

Definition at line 451 of file XrdSysPthread.hh.

{}

## Member Function Documentation

## Lock()

void XrdSysFusedMutex::Lock | ( |  | ) |

inline

Definition at line 437 of file XrdSysPthread.hh.

{isRW ? rwLok->WriteLock() : mutex->Lock();}

## ReadLock()

void XrdSysFusedMutex::ReadLock | ( |  | ) |

inline

Definition at line 439 of file XrdSysPthread.hh.

{isRW ? rwLok->ReadLock() : mutex->Lock();}

## UnLock()

void XrdSysFusedMutex::UnLock | ( |  | ) |

inline

Definition at line 443 of file XrdSysPthread.hh.

{isRW ? rwLok->UnLock() : mutex->UnLock();}

Referenced by XrdCmsNode::Delete().

Here is the caller graph for this function:

## WriteLock()

void XrdSysFusedMutex::WriteLock | ( |  | ) |

inline

Definition at line 441 of file XrdSysPthread.hh.

{isRW ? rwLok->WriteLock() : mutex->Lock();}

Referenced by XrdCmsNode::Delete().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSysPthread.hh